# mstar

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n mstar --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install mstar
```

### nbdev

``` sh
# activate conda environment
$ conda activate mstar

# make sure the mstar package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the mstar package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/mstar):

``` sh
$ pip install git+https://github.com/dsm-72/mstar.git
```

or from [conda](https://anaconda.org/dsm-72/mstar)

``` sh
$ conda install -c dsm-72 mstar
```

or from [pypi](https://pypi.org/project/mstar/)

``` sh
$ pip install mstar
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/mstar)
[pages](https://dsm-72.github.io/mstar/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/mstar) and
[pypi](https://pypi.org/project/mstar/) respectively.
